/****************************************************************************
**
** DCOP Stub Implementation created by dcopidl2cpp from manageriface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#include "manageriface_stub.h"
#include <dcopclient.h>

#include <kdatastream.h>

namespace KRES {

ManagerIface_stub::ManagerIface_stub( const TQCString& app, const TQCString& obj )
  : DCOPStub( app, obj )
{
}

ManagerIface_stub::ManagerIface_stub( DCOPClient* client, const TQCString& app, const TQCString& obj )
  : DCOPStub( client, app, obj )
{
}

ManagerIface_stub::ManagerIface_stub( const DCOPRef& ref )
  : DCOPStub( ref )
{
}

void ManagerIface_stub::dcopKResourceAdded( TQString arg0, TQString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "dcopKResourceAdded(TQString,TQString)", data );
    setStatus( CallSucceeded );
}

void ManagerIface_stub::dcopKResourceModified( TQString arg0, TQString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "dcopKResourceModified(TQString,TQString)", data );
    setStatus( CallSucceeded );
}

void ManagerIface_stub::dcopKResourceDeleted( TQString arg0, TQString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "dcopKResourceDeleted(TQString,TQString)", data );
    setStatus( CallSucceeded );
}

} // namespace

